services:
    uidentify_api_manager:
        class: LifeStyle\Tools\RestAuthBundle\Api\Manager
        arguments: ["@service_container"]
    uidentify.security.authentication.provider:
        class: LifeStyle\Tools\RestAuthBundle\Security\Authentication\Provider\UidentifyProvider
        arguments: ["", "@service_container"]
    uidentify.security.authentication.listener:
        class: LifeStyle\Tools\RestAuthBundle\Security\Firewall\UidentifyListener
        arguments: ["@security.token_storage", "@security.authentication.manager", "@service_container"]
    uidentify.event_listener.token_rotate_listener:
        class: LifeStyle\Tools\RestAuthBundle\EventListener\TokenRotateListener
        arguments: ['@doctrine.orm.readwrite_entity_manager']
        tags:
            - { name: kernel.event_subscriber }